Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
224.0.0.0
Broadcast address
239.255.255.255
First usable
224.0.0.1
Last usable
239.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E0000000 · Integer 3758096384 to 4026531839
Reverse DNS zones
224.in-addr.arpa
225.in-addr.arpa
226.in-addr.arpa
227.in-addr.arpa
228.in-addr.arpa
229.in-addr.arpa
230.in-addr.arpa
231.in-addr.arpa
232.in-addr.arpa
233.in-addr.arpa
234.in-addr.arpa
235.in-addr.arpa
236.in-addr.arpa
237.in-addr.arpa
238.in-addr.arpa
239.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.00000000.00000000.00000000224.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network11100000.00000000.00000000.00000000224.0.0.0
Broadcast11101111.11111111.11111111.11111111239.255.255.255
Split into smaller subnets/16

224.0.0.0/4 makes 4,096 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.0.0.0/16224.0.0.1 to 224.0.255.254224.0.255.25565,534
2224.1.0.0/16224.1.0.1 to 224.1.255.254224.1.255.25565,534
3224.2.0.0/16224.2.0.1 to 224.2.255.254224.2.255.25565,534
4224.3.0.0/16224.3.0.1 to 224.3.255.254224.3.255.25565,534
5224.4.0.0/16224.4.0.1 to 224.4.255.254224.4.255.25565,534
6224.5.0.0/16224.5.0.1 to 224.5.255.254224.5.255.25565,534
7224.6.0.0/16224.6.0.1 to 224.6.255.254224.6.255.25565,534
8224.7.0.0/16224.7.0.1 to 224.7.255.254224.7.255.25565,534
9224.8.0.0/16224.8.0.1 to 224.8.255.254224.8.255.25565,534
10224.9.0.0/16224.9.0.1 to 224.9.255.254224.9.255.25565,534
11224.10.0.0/16224.10.0.1 to 224.10.255.254224.10.255.25565,534
12224.11.0.0/16224.11.0.1 to 224.11.255.254224.11.255.25565,534
13224.12.0.0/16224.12.0.1 to 224.12.255.254224.12.255.25565,534
14224.13.0.0/16224.13.0.1 to 224.13.255.254224.13.255.25565,534
15224.14.0.0/16224.14.0.1 to 224.14.255.254224.14.255.25565,534
16224.15.0.0/16224.15.0.1 to 224.15.255.254224.15.255.25565,534
17224.16.0.0/16224.16.0.1 to 224.16.255.254224.16.255.25565,534
18224.17.0.0/16224.17.0.1 to 224.17.255.254224.17.255.25565,534
19224.18.0.0/16224.18.0.1 to 224.18.255.254224.18.255.25565,534
20224.19.0.0/16224.19.0.1 to 224.19.255.254224.19.255.25565,534
21224.20.0.0/16224.20.0.1 to 224.20.255.254224.20.255.25565,534
22224.21.0.0/16224.21.0.1 to 224.21.255.254224.21.255.25565,534
23224.22.0.0/16224.22.0.1 to 224.22.255.254224.22.255.25565,534
24224.23.0.0/16224.23.0.1 to 224.23.255.254224.23.255.25565,534
25224.24.0.0/16224.24.0.1 to 224.24.255.254224.24.255.25565,534
26224.25.0.0/16224.25.0.1 to 224.25.255.254224.25.255.25565,534
27224.26.0.0/16224.26.0.1 to 224.26.255.254224.26.255.25565,534
28224.27.0.0/16224.27.0.1 to 224.27.255.254224.27.255.25565,534
29224.28.0.0/16224.28.0.1 to 224.28.255.254224.28.255.25565,534
30224.29.0.0/16224.29.0.1 to 224.29.255.254224.29.255.25565,534
31224.30.0.0/16224.30.0.1 to 224.30.255.254224.30.255.25565,534
32224.31.0.0/16224.31.0.1 to 224.31.255.254224.31.255.25565,534
33224.32.0.0/16224.32.0.1 to 224.32.255.254224.32.255.25565,534
34224.33.0.0/16224.33.0.1 to 224.33.255.254224.33.255.25565,534
35224.34.0.0/16224.34.0.1 to 224.34.255.254224.34.255.25565,534
36224.35.0.0/16224.35.0.1 to 224.35.255.254224.35.255.25565,534
37224.36.0.0/16224.36.0.1 to 224.36.255.254224.36.255.25565,534
38224.37.0.0/16224.37.0.1 to 224.37.255.254224.37.255.25565,534
39224.38.0.0/16224.38.0.1 to 224.38.255.254224.38.255.25565,534
40224.39.0.0/16224.39.0.1 to 224.39.255.254224.39.255.25565,534
41224.40.0.0/16224.40.0.1 to 224.40.255.254224.40.255.25565,534
42224.41.0.0/16224.41.0.1 to 224.41.255.254224.41.255.25565,534
43224.42.0.0/16224.42.0.1 to 224.42.255.254224.42.255.25565,534
44224.43.0.0/16224.43.0.1 to 224.43.255.254224.43.255.25565,534
45224.44.0.0/16224.44.0.1 to 224.44.255.254224.44.255.25565,534
46224.45.0.0/16224.45.0.1 to 224.45.255.254224.45.255.25565,534
47224.46.0.0/16224.46.0.1 to 224.46.255.254224.46.255.25565,534
48224.47.0.0/16224.47.0.1 to 224.47.255.254224.47.255.25565,534
49224.48.0.0/16224.48.0.1 to 224.48.255.254224.48.255.25565,534
50224.49.0.0/16224.49.0.1 to 224.49.255.254224.49.255.25565,534
51224.50.0.0/16224.50.0.1 to 224.50.255.254224.50.255.25565,534
52224.51.0.0/16224.51.0.1 to 224.51.255.254224.51.255.25565,534
53224.52.0.0/16224.52.0.1 to 224.52.255.254224.52.255.25565,534
54224.53.0.0/16224.53.0.1 to 224.53.255.254224.53.255.25565,534
55224.54.0.0/16224.54.0.1 to 224.54.255.254224.54.255.25565,534
56224.55.0.0/16224.55.0.1 to 224.55.255.254224.55.255.25565,534
57224.56.0.0/16224.56.0.1 to 224.56.255.254224.56.255.25565,534
58224.57.0.0/16224.57.0.1 to 224.57.255.254224.57.255.25565,534
59224.58.0.0/16224.58.0.1 to 224.58.255.254224.58.255.25565,534
60224.59.0.0/16224.59.0.1 to 224.59.255.254224.59.255.25565,534
61224.60.0.0/16224.60.0.1 to 224.60.255.254224.60.255.25565,534
62224.61.0.0/16224.61.0.1 to 224.61.255.254224.61.255.25565,534
63224.62.0.0/16224.62.0.1 to 224.62.255.254224.62.255.25565,534
64224.63.0.0/16224.63.0.1 to 224.63.255.254224.63.255.25565,534
65224.64.0.0/16224.64.0.1 to 224.64.255.254224.64.255.25565,534
66224.65.0.0/16224.65.0.1 to 224.65.255.254224.65.255.25565,534
67224.66.0.0/16224.66.0.1 to 224.66.255.254224.66.255.25565,534
68224.67.0.0/16224.67.0.1 to 224.67.255.254224.67.255.25565,534
69224.68.0.0/16224.68.0.1 to 224.68.255.254224.68.255.25565,534
70224.69.0.0/16224.69.0.1 to 224.69.255.254224.69.255.25565,534
71224.70.0.0/16224.70.0.1 to 224.70.255.254224.70.255.25565,534
72224.71.0.0/16224.71.0.1 to 224.71.255.254224.71.255.25565,534
73224.72.0.0/16224.72.0.1 to 224.72.255.254224.72.255.25565,534
74224.73.0.0/16224.73.0.1 to 224.73.255.254224.73.255.25565,534
75224.74.0.0/16224.74.0.1 to 224.74.255.254224.74.255.25565,534
76224.75.0.0/16224.75.0.1 to 224.75.255.254224.75.255.25565,534
77224.76.0.0/16224.76.0.1 to 224.76.255.254224.76.255.25565,534
78224.77.0.0/16224.77.0.1 to 224.77.255.254224.77.255.25565,534
79224.78.0.0/16224.78.0.1 to 224.78.255.254224.78.255.25565,534
80224.79.0.0/16224.79.0.1 to 224.79.255.254224.79.255.25565,534
81224.80.0.0/16224.80.0.1 to 224.80.255.254224.80.255.25565,534
82224.81.0.0/16224.81.0.1 to 224.81.255.254224.81.255.25565,534
83224.82.0.0/16224.82.0.1 to 224.82.255.254224.82.255.25565,534
84224.83.0.0/16224.83.0.1 to 224.83.255.254224.83.255.25565,534
85224.84.0.0/16224.84.0.1 to 224.84.255.254224.84.255.25565,534
86224.85.0.0/16224.85.0.1 to 224.85.255.254224.85.255.25565,534
87224.86.0.0/16224.86.0.1 to 224.86.255.254224.86.255.25565,534
88224.87.0.0/16224.87.0.1 to 224.87.255.254224.87.255.25565,534
89224.88.0.0/16224.88.0.1 to 224.88.255.254224.88.255.25565,534
90224.89.0.0/16224.89.0.1 to 224.89.255.254224.89.255.25565,534
91224.90.0.0/16224.90.0.1 to 224.90.255.254224.90.255.25565,534
92224.91.0.0/16224.91.0.1 to 224.91.255.254224.91.255.25565,534
93224.92.0.0/16224.92.0.1 to 224.92.255.254224.92.255.25565,534
94224.93.0.0/16224.93.0.1 to 224.93.255.254224.93.255.25565,534
95224.94.0.0/16224.94.0.1 to 224.94.255.254224.94.255.25565,534
96224.95.0.0/16224.95.0.1 to 224.95.255.254224.95.255.25565,534
97224.96.0.0/16224.96.0.1 to 224.96.255.254224.96.255.25565,534
98224.97.0.0/16224.97.0.1 to 224.97.255.254224.97.255.25565,534
99224.98.0.0/16224.98.0.1 to 224.98.255.254224.98.255.25565,534
100224.99.0.0/16224.99.0.1 to 224.99.255.254224.99.255.25565,534
101224.100.0.0/16224.100.0.1 to 224.100.255.254224.100.255.25565,534
102224.101.0.0/16224.101.0.1 to 224.101.255.254224.101.255.25565,534
103224.102.0.0/16224.102.0.1 to 224.102.255.254224.102.255.25565,534
104224.103.0.0/16224.103.0.1 to 224.103.255.254224.103.255.25565,534
105224.104.0.0/16224.104.0.1 to 224.104.255.254224.104.255.25565,534
106224.105.0.0/16224.105.0.1 to 224.105.255.254224.105.255.25565,534
107224.106.0.0/16224.106.0.1 to 224.106.255.254224.106.255.25565,534
108224.107.0.0/16224.107.0.1 to 224.107.255.254224.107.255.25565,534
109224.108.0.0/16224.108.0.1 to 224.108.255.254224.108.255.25565,534
110224.109.0.0/16224.109.0.1 to 224.109.255.254224.109.255.25565,534
111224.110.0.0/16224.110.0.1 to 224.110.255.254224.110.255.25565,534
112224.111.0.0/16224.111.0.1 to 224.111.255.254224.111.255.25565,534
113224.112.0.0/16224.112.0.1 to 224.112.255.254224.112.255.25565,534
114224.113.0.0/16224.113.0.1 to 224.113.255.254224.113.255.25565,534
115224.114.0.0/16224.114.0.1 to 224.114.255.254224.114.255.25565,534
116224.115.0.0/16224.115.0.1 to 224.115.255.254224.115.255.25565,534
117224.116.0.0/16224.116.0.1 to 224.116.255.254224.116.255.25565,534
118224.117.0.0/16224.117.0.1 to 224.117.255.254224.117.255.25565,534
119224.118.0.0/16224.118.0.1 to 224.118.255.254224.118.255.25565,534
120224.119.0.0/16224.119.0.1 to 224.119.255.254224.119.255.25565,534
121224.120.0.0/16224.120.0.1 to 224.120.255.254224.120.255.25565,534
122224.121.0.0/16224.121.0.1 to 224.121.255.254224.121.255.25565,534
123224.122.0.0/16224.122.0.1 to 224.122.255.254224.122.255.25565,534
124224.123.0.0/16224.123.0.1 to 224.123.255.254224.123.255.25565,534
125224.124.0.0/16224.124.0.1 to 224.124.255.254224.124.255.25565,534
126224.125.0.0/16224.125.0.1 to 224.125.255.254224.125.255.25565,534
127224.126.0.0/16224.126.0.1 to 224.126.255.254224.126.255.25565,534
128224.127.0.0/16224.127.0.1 to 224.127.255.254224.127.255.25565,534
129224.128.0.0/16224.128.0.1 to 224.128.255.254224.128.255.25565,534
130224.129.0.0/16224.129.0.1 to 224.129.255.254224.129.255.25565,534
131224.130.0.0/16224.130.0.1 to 224.130.255.254224.130.255.25565,534
132224.131.0.0/16224.131.0.1 to 224.131.255.254224.131.255.25565,534
133224.132.0.0/16224.132.0.1 to 224.132.255.254224.132.255.25565,534
134224.133.0.0/16224.133.0.1 to 224.133.255.254224.133.255.25565,534
135224.134.0.0/16224.134.0.1 to 224.134.255.254224.134.255.25565,534
136224.135.0.0/16224.135.0.1 to 224.135.255.254224.135.255.25565,534
137224.136.0.0/16224.136.0.1 to 224.136.255.254224.136.255.25565,534
138224.137.0.0/16224.137.0.1 to 224.137.255.254224.137.255.25565,534
139224.138.0.0/16224.138.0.1 to 224.138.255.254224.138.255.25565,534
140224.139.0.0/16224.139.0.1 to 224.139.255.254224.139.255.25565,534
141224.140.0.0/16224.140.0.1 to 224.140.255.254224.140.255.25565,534
142224.141.0.0/16224.141.0.1 to 224.141.255.254224.141.255.25565,534
143224.142.0.0/16224.142.0.1 to 224.142.255.254224.142.255.25565,534
144224.143.0.0/16224.143.0.1 to 224.143.255.254224.143.255.25565,534
145224.144.0.0/16224.144.0.1 to 224.144.255.254224.144.255.25565,534
146224.145.0.0/16224.145.0.1 to 224.145.255.254224.145.255.25565,534
147224.146.0.0/16224.146.0.1 to 224.146.255.254224.146.255.25565,534
148224.147.0.0/16224.147.0.1 to 224.147.255.254224.147.255.25565,534
149224.148.0.0/16224.148.0.1 to 224.148.255.254224.148.255.25565,534
150224.149.0.0/16224.149.0.1 to 224.149.255.254224.149.255.25565,534
151224.150.0.0/16224.150.0.1 to 224.150.255.254224.150.255.25565,534
152224.151.0.0/16224.151.0.1 to 224.151.255.254224.151.255.25565,534
153224.152.0.0/16224.152.0.1 to 224.152.255.254224.152.255.25565,534
154224.153.0.0/16224.153.0.1 to 224.153.255.254224.153.255.25565,534
155224.154.0.0/16224.154.0.1 to 224.154.255.254224.154.255.25565,534
156224.155.0.0/16224.155.0.1 to 224.155.255.254224.155.255.25565,534
157224.156.0.0/16224.156.0.1 to 224.156.255.254224.156.255.25565,534
158224.157.0.0/16224.157.0.1 to 224.157.255.254224.157.255.25565,534
159224.158.0.0/16224.158.0.1 to 224.158.255.254224.158.255.25565,534
160224.159.0.0/16224.159.0.1 to 224.159.255.254224.159.255.25565,534
161224.160.0.0/16224.160.0.1 to 224.160.255.254224.160.255.25565,534
162224.161.0.0/16224.161.0.1 to 224.161.255.254224.161.255.25565,534
163224.162.0.0/16224.162.0.1 to 224.162.255.254224.162.255.25565,534
164224.163.0.0/16224.163.0.1 to 224.163.255.254224.163.255.25565,534
165224.164.0.0/16224.164.0.1 to 224.164.255.254224.164.255.25565,534
166224.165.0.0/16224.165.0.1 to 224.165.255.254224.165.255.25565,534
167224.166.0.0/16224.166.0.1 to 224.166.255.254224.166.255.25565,534
168224.167.0.0/16224.167.0.1 to 224.167.255.254224.167.255.25565,534
169224.168.0.0/16224.168.0.1 to 224.168.255.254224.168.255.25565,534
170224.169.0.0/16224.169.0.1 to 224.169.255.254224.169.255.25565,534
171224.170.0.0/16224.170.0.1 to 224.170.255.254224.170.255.25565,534
172224.171.0.0/16224.171.0.1 to 224.171.255.254224.171.255.25565,534
173224.172.0.0/16224.172.0.1 to 224.172.255.254224.172.255.25565,534
174224.173.0.0/16224.173.0.1 to 224.173.255.254224.173.255.25565,534
175224.174.0.0/16224.174.0.1 to 224.174.255.254224.174.255.25565,534
176224.175.0.0/16224.175.0.1 to 224.175.255.254224.175.255.25565,534
177224.176.0.0/16224.176.0.1 to 224.176.255.254224.176.255.25565,534
178224.177.0.0/16224.177.0.1 to 224.177.255.254224.177.255.25565,534
179224.178.0.0/16224.178.0.1 to 224.178.255.254224.178.255.25565,534
180224.179.0.0/16224.179.0.1 to 224.179.255.254224.179.255.25565,534
181224.180.0.0/16224.180.0.1 to 224.180.255.254224.180.255.25565,534
182224.181.0.0/16224.181.0.1 to 224.181.255.254224.181.255.25565,534
183224.182.0.0/16224.182.0.1 to 224.182.255.254224.182.255.25565,534
184224.183.0.0/16224.183.0.1 to 224.183.255.254224.183.255.25565,534
185224.184.0.0/16224.184.0.1 to 224.184.255.254224.184.255.25565,534
186224.185.0.0/16224.185.0.1 to 224.185.255.254224.185.255.25565,534
187224.186.0.0/16224.186.0.1 to 224.186.255.254224.186.255.25565,534
188224.187.0.0/16224.187.0.1 to 224.187.255.254224.187.255.25565,534
189224.188.0.0/16224.188.0.1 to 224.188.255.254224.188.255.25565,534
190224.189.0.0/16224.189.0.1 to 224.189.255.254224.189.255.25565,534
191224.190.0.0/16224.190.0.1 to 224.190.255.254224.190.255.25565,534
192224.191.0.0/16224.191.0.1 to 224.191.255.254224.191.255.25565,534
193224.192.0.0/16224.192.0.1 to 224.192.255.254224.192.255.25565,534
194224.193.0.0/16224.193.0.1 to 224.193.255.254224.193.255.25565,534
195224.194.0.0/16224.194.0.1 to 224.194.255.254224.194.255.25565,534
196224.195.0.0/16224.195.0.1 to 224.195.255.254224.195.255.25565,534
197224.196.0.0/16224.196.0.1 to 224.196.255.254224.196.255.25565,534
198224.197.0.0/16224.197.0.1 to 224.197.255.254224.197.255.25565,534
199224.198.0.0/16224.198.0.1 to 224.198.255.254224.198.255.25565,534
200224.199.0.0/16224.199.0.1 to 224.199.255.254224.199.255.25565,534
201224.200.0.0/16224.200.0.1 to 224.200.255.254224.200.255.25565,534
202224.201.0.0/16224.201.0.1 to 224.201.255.254224.201.255.25565,534
203224.202.0.0/16224.202.0.1 to 224.202.255.254224.202.255.25565,534
204224.203.0.0/16224.203.0.1 to 224.203.255.254224.203.255.25565,534
205224.204.0.0/16224.204.0.1 to 224.204.255.254224.204.255.25565,534
206224.205.0.0/16224.205.0.1 to 224.205.255.254224.205.255.25565,534
207224.206.0.0/16224.206.0.1 to 224.206.255.254224.206.255.25565,534
208224.207.0.0/16224.207.0.1 to 224.207.255.254224.207.255.25565,534
209224.208.0.0/16224.208.0.1 to 224.208.255.254224.208.255.25565,534
210224.209.0.0/16224.209.0.1 to 224.209.255.254224.209.255.25565,534
211224.210.0.0/16224.210.0.1 to 224.210.255.254224.210.255.25565,534
212224.211.0.0/16224.211.0.1 to 224.211.255.254224.211.255.25565,534
213224.212.0.0/16224.212.0.1 to 224.212.255.254224.212.255.25565,534
214224.213.0.0/16224.213.0.1 to 224.213.255.254224.213.255.25565,534
215224.214.0.0/16224.214.0.1 to 224.214.255.254224.214.255.25565,534
216224.215.0.0/16224.215.0.1 to 224.215.255.254224.215.255.25565,534
217224.216.0.0/16224.216.0.1 to 224.216.255.254224.216.255.25565,534
218224.217.0.0/16224.217.0.1 to 224.217.255.254224.217.255.25565,534
219224.218.0.0/16224.218.0.1 to 224.218.255.254224.218.255.25565,534
220224.219.0.0/16224.219.0.1 to 224.219.255.254224.219.255.25565,534
221224.220.0.0/16224.220.0.1 to 224.220.255.254224.220.255.25565,534
222224.221.0.0/16224.221.0.1 to 224.221.255.254224.221.255.25565,534
223224.222.0.0/16224.222.0.1 to 224.222.255.254224.222.255.25565,534
224224.223.0.0/16224.223.0.1 to 224.223.255.254224.223.255.25565,534
225224.224.0.0/16224.224.0.1 to 224.224.255.254224.224.255.25565,534
226224.225.0.0/16224.225.0.1 to 224.225.255.254224.225.255.25565,534
227224.226.0.0/16224.226.0.1 to 224.226.255.254224.226.255.25565,534
228224.227.0.0/16224.227.0.1 to 224.227.255.254224.227.255.25565,534
229224.228.0.0/16224.228.0.1 to 224.228.255.254224.228.255.25565,534
230224.229.0.0/16224.229.0.1 to 224.229.255.254224.229.255.25565,534
231224.230.0.0/16224.230.0.1 to 224.230.255.254224.230.255.25565,534
232224.231.0.0/16224.231.0.1 to 224.231.255.254224.231.255.25565,534
233224.232.0.0/16224.232.0.1 to 224.232.255.254224.232.255.25565,534
234224.233.0.0/16224.233.0.1 to 224.233.255.254224.233.255.25565,534
235224.234.0.0/16224.234.0.1 to 224.234.255.254224.234.255.25565,534
236224.235.0.0/16224.235.0.1 to 224.235.255.254224.235.255.25565,534
237224.236.0.0/16224.236.0.1 to 224.236.255.254224.236.255.25565,534
238224.237.0.0/16224.237.0.1 to 224.237.255.254224.237.255.25565,534
239224.238.0.0/16224.238.0.1 to 224.238.255.254224.238.255.25565,534
240224.239.0.0/16224.239.0.1 to 224.239.255.254224.239.255.25565,534
241224.240.0.0/16224.240.0.1 to 224.240.255.254224.240.255.25565,534
242224.241.0.0/16224.241.0.1 to 224.241.255.254224.241.255.25565,534
243224.242.0.0/16224.242.0.1 to 224.242.255.254224.242.255.25565,534
244224.243.0.0/16224.243.0.1 to 224.243.255.254224.243.255.25565,534
245224.244.0.0/16224.244.0.1 to 224.244.255.254224.244.255.25565,534
246224.245.0.0/16224.245.0.1 to 224.245.255.254224.245.255.25565,534
247224.246.0.0/16224.246.0.1 to 224.246.255.254224.246.255.25565,534
248224.247.0.0/16224.247.0.1 to 224.247.255.254224.247.255.25565,534
249224.248.0.0/16224.248.0.1 to 224.248.255.254224.248.255.25565,534
250224.249.0.0/16224.249.0.1 to 224.249.255.254224.249.255.25565,534
251224.250.0.0/16224.250.0.1 to 224.250.255.254224.250.255.25565,534
252224.251.0.0/16224.251.0.1 to 224.251.255.254224.251.255.25565,534
253224.252.0.0/16224.252.0.1 to 224.252.255.254224.252.255.25565,534
254224.253.0.0/16224.253.0.1 to 224.253.255.254224.253.255.25565,534
255224.254.0.0/16224.254.0.1 to 224.254.255.254224.254.255.25565,534
256224.255.0.0/16224.255.0.1 to 224.255.255.254224.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses